Name:           clanbomber
Version:        1.05
Release:        %mkrel 14
Summary:        A free (GPL) Bomberman-like multiplayer game
License:        GPLv2
Group:          Games/Arcade
URL:            http://clanbomber.sourceforge.net/
Source0:        http://www.clanbomber.de/files/%{name}-%{version}.tar.bz2
Source11:       %{name}.16.png
Source12:       %{name}.32.png
Source13:       %{name}.48.png
Source21:       %{name}.desktop
Patch8:         %{name}-1.02a-gcc-3.3.patch
Patch9:         %{name}-0.5-compile-without-xdisplay.patch
Patch10:        %{name}-1.05-gcc3_4.patch
Patch11:        %{name}-1.05-newer-make.patch
Patch12:        %{name}-1.05-fix-build.patch
BuildRequires:  zlib-devel
BuildRequires:  libhermes-devel
# make sure to have non-corrupting clanlib version
# See https://bugzilla.redhat.com/show_bug.cgi?id=688309
BuildRequires:  clanlib0.6-devel >= 0.6.5-39.mga1
BuildRequires:  libclanlib-mikmod
BuildRequires:  libmikmod-devel
BuildRequires:  libclanlib-sound
BuildRequires:  automake

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep

%setup -q
%patch8 -p1 -b .peroyvind
%patch9 -p1 -b .peroyvind
%patch10 -p1
%patch11 -p0
%patch12 -p0

%build
autoreconf -fi
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
make

%install
rm -rf %{buildroot}

%makeinstall_std

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png


# XDG menu
install -m644 %{SOURCE21} -D %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop






%changelog
* Mon Apr 18 2011 rtp <rtp> 1.05-14.mga1
+ Revision: 87869
- rebuild with fixed clanlib

* Thu Mar 17 2011 obgr_seneca <obgr_seneca> 1.05-13.mga1
+ Revision: 73009
- cleaned up spec file
- removed buildroot tag
- fixed license
- put desktop file into separate file
- corrected requires/provides/obsoletes
- imported package clanbomber


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1.05-12mdv2011.0
+ Revision: 605813
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.05-11mdv2010.1
+ Revision: 522361
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.05-10mdv2010.0
+ Revision: 413238
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.05-9mdv2009.1
+ Revision: 350235
- 2009.1 rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.05-8mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 1.05-8mdv2008.1
+ Revision: 186282
- Run clanbomber with soundwrapper (Mdv bug #38420)

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.05-7mdv2008.1
+ Revision: 149084
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Mar 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-6mdv2007.1
+ Revision: 146845
- fix summary

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-5mdv2007.1
+ Revision: 145774
- Import clanbomber

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-5mdv2007.1
- use the %%mrel macro
- bunzip patches
- fix the xdg menu stuff

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.05-4mdk
- fix buildrequires

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.05-3mdk
- Rebuild with new menu

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.05-2mdk 
- rebuild, patch from  Christiaan Welvaart <cjw@daneel.dyndns.org>
- remove Packager tag

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.05-1mdk
- 0.5
- fix build when there's no $DISPLAY available (P9 from debian)
- fix buildrequires
- change summary macro to avoid conflicts if we were to build debug package
- spec cosmetics

